/* 
 * DHCP Web Services MMC 3.0 Snap-In Client
 *
 *  File: SnapInUtil.cs
 *  Namespace: Unf.Dhcp.ManagementConsole
 *  
 *  
 * Copyright (c) 2008 Jason Rupard 
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * 
 *     * Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 * 
 *     * Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 * 
*/
using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using Microsoft.ManagementConsole;
using Microsoft.ManagementConsole.Advanced;

namespace Unf.Dhcp.ManagementConsole
{
    public static class SnapInUtil
    {
        public static DwsSnapIn ThisSnapIn; 

        public static void Init(DwsSnapIn snapIn)
        {
            ThisSnapIn = snapIn;
        }

        public static void PopUpError(String caption, String msgText)
        {
            MessageBoxParameters mps = new MessageBoxParameters();
            mps.Buttons = MessageBoxButtons.OK;
            mps.Icon = MessageBoxIcon.Error;
            mps.Caption = caption;
            mps.Text = msgText;
            ThisSnapIn.Console.ShowDialog(mps);
        }

        public static DialogResult PopUpConfirm(String msgText)
        {
            MessageBoxParameters mps = new MessageBoxParameters();
            mps.Buttons = MessageBoxButtons.OKCancel;
            mps.Icon = MessageBoxIcon.Exclamation;
            mps.Caption = "Are you sure?";
            mps.Text = msgText;
            return ThisSnapIn.Console.ShowDialog(mps);
        }
    }
}
