/* 
 * DHCP Web Services MMC 3.0 Snap-In Client
 *
 *  File: DhcpMacAddress.cs
 *  Namespace: Unf.Dhcp.ManagementConsole.DwsOps
 *  
 *
 * Copyright (c) 2008 Jason Rupard 
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * 
 *     * Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 * 
 *     * Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 * 
*/
using System;
using System.Net.NetworkInformation;

namespace Unf.Dhcp.ManagementConsole.DwsOps
{
    public partial class DhcpMacAddress
    {
        public DhcpMacAddress() { this.macField = PhysicalAddress.None.ToString(); }
        
        public DhcpMacAddress(String MacString) 
        {
            String InMac = MacString.ToUpper();

            InMac = InMac.Replace(':', '-');

            this.macField = PhysicalAddress.Parse(InMac).ToString();
        }

        public DhcpMacAddress(Byte[] MacBytes)
        {
            PhysicalAddress InMac = new PhysicalAddress(MacBytes);
            this.macField = InMac.ToString();
        }

        public override String ToString()
        {
            return macField;
        }

        public Byte[] GetByteArray()
        {
            return PhysicalAddress.Parse(this.macField).GetAddressBytes();
        }
    }
}
